| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
ThermoFactory.h File Reference

Headers for the factory class that can create known ThermoPhase objects (see Thermodynamic Properties and class ThermoFactory). More...

`#include "ThermoPhase.h"`
`#include "cantera/base/FactoryBase.h"`
Include dependency graph for ThermoFactory.h:

## Detailed Description

Headers for the factory class that can create known ThermoPhase objects (see Thermodynamic Properties and class ThermoFactory).

Definition in file ThermoFactory.h.

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | ThermoFactory
| Factory class for thermodynamic property managers. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
ThermoPhase * | newThermoPhase (const string &model)
| Create a new ThermoPhase instance.
shared_ptr< ThermoPhase > | newThermoModel (const string &model)
| Create a new ThermoPhase instance.
shared_ptr< ThermoPhase > | newThermo (const AnyMap &phaseNode, const AnyMap &rootNode=AnyMap())
| Create a new ThermoPhase object and initialize it.
shared_ptr< ThermoPhase > | newThermo (const string &infile, const string &id="")
| Create and Initialize a ThermoPhase object from an input file.
unique_ptr< ThermoPhase > | newPhase (const AnyMap &phaseNode, const AnyMap &rootNode=AnyMap())
| Create a new ThermoPhase object and initialize it.
ThermoPhase * | newPhase (const string &infile, string id="")
| Create and Initialize a ThermoPhase object from an input file.
void | setupPhase (ThermoPhase &phase, const AnyMap &phaseNode, const AnyMap &rootNode=AnyMap())
| Initialize a ThermoPhase object.